<div class="container">
    <div class="row">
        <div class="col-sm-4"></div>
        <div class="col-sm-4">
            <div style="text-align:center">
                <form [formGroup]="formLogin" (ngSubmit)="onSubmit()">
                    <div class="form-group">
                        <label>Email</label>
                        <input type="text" name="email" placeholder="abc@gmail.com" formControlName="email" class="form-control"
                               [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
                        <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                            <div *ngIf="f.email.errors.required">Email is required</div>
                            <div *ngIf="f.email.errors.email">Email must be a valid email address</div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Password</label>
                        <input type="text" name="password" placeholder="******" formControlName="password" class="form-control"
                               [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
                        <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                            <div *ngIf="f.password.errors.required">Password is required</div>
                            <div *ngIf="f.password.errors.minlength">Password must be at least 6 characters</div>
                            <div *ngIf="f.password.errors.pattern">Password is not pattern</div>
                        </div>
                    </div>
                    <div class="form-group">
                        <button  [disabled]="loading"  class="btn btn-primary">
                            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                            Submit
                        </button>
                        <span class="error">{{mesenger}}</span>
                    </div>
                </form>
            </div>
        </div>
        <div class="col-sm-4"></div>
    </div>
</div>


